package com.yuanxuan.webshell.core.web_shell_core

import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import org.mockito.Mockito
import kotlin.test.Test

/*
 * 这是一个简单的单元测试示例，用于验证插件 Kotlin 实现中的基础逻辑。
 *
 * 你可以在对应 Android 工程目录下执行 `./gradlew testDebugUnitTest` 运行，
 * 也可以直接在支持 JUnit 的 IDE 中运行。
 */

internal class WebShellCorePluginTest {
    @Test
    fun onMethodCall_getPlatformVersion_returnsExpectedValue() {
        val plugin = WebShellCorePlugin()

        val call = MethodCall("getPlatformVersion", null)
        val mockResult: MethodChannel.Result = Mockito.mock(MethodChannel.Result::class.java)
        plugin.onMethodCall(call, mockResult)

        Mockito.verify(mockResult).success("Android " + android.os.Build.VERSION.RELEASE)
    }
}
